org.jbpm.executor.entities

## Class RequestInfo_

- java.lang.Object
- - org.jbpm.executor.entities.RequestInfo_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class RequestInfo_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMAND_NAME`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,String>` | `commandName`
    `static String` | `DEPLOYMENT_ID`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,String>` | `deploymentId`
    `static String` | `ERROR_INFO`
    `static javax.persistence.metamodel.ListAttribute<RequestInfo,ErrorInfo>` | `errorInfo`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,Integer>` | `executions`
    `static String` | `EXECUTIONS`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,Long>` | `id`
    `static String` | `ID`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,String>` | `key`
    `static String` | `KEY`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,String>` | `message`
    `static String` | `MESSAGE`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,String>` | `owner`
    `static String` | `OWNER`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,Integer>` | `priority`
    `static String` | `PRIORITY`
    `static String` | `PROCESS_INSTANCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,Long>` | `processInstanceId`
    `static String` | `REQUEST_DATA`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,byte[]>` | `requestData`
    `static String` | `RESPONSE_DATA`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,byte[]>` | `responseData`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,Integer>` | `retries`
    `static String` | `RETRIES`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,org.kie.api.executor.STATUS>` | `status`
    `static String` | `STATUS`
    `static javax.persistence.metamodel.SingularAttribute<RequestInfo,Date>` | `time`
    `static String` | `TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfo_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### owner

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,String> owner

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,Long> processInstanceId

    - #### errorInfo

          public static volatile javax.persistence.metamodel.ListAttribute<RequestInfo,ErrorInfo> errorInfo

    - #### responseData

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,byte[]> responseData

    - #### message

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,String> message

    - #### priority

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,Integer> priority

    - #### retries

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,Integer> retries

    - #### commandName

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,String> commandName

    - #### executions

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,Integer> executions

    - #### deploymentId

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,String> deploymentId

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,Long> id

    - #### time

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,Date> time

    - #### requestData

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,byte[]> requestData

    - #### key

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,String> key

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<RequestInfo,org.kie.api.executor.STATUS> status

    - #### OWNER

          public static final String OWNER

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### ERROR_INFO

          public static final String ERROR_INFO

      See Also:
        Constant Field Values

    - #### RESPONSE_DATA

          public static final String RESPONSE_DATA

      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final String MESSAGE

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### RETRIES

          public static final String RETRIES

      See Also:
        Constant Field Values

    - #### COMMAND_NAME

          public static final String COMMAND_NAME

      See Also:
        Constant Field Values

    - #### EXECUTIONS

          public static final String EXECUTIONS

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_ID

          public static final String DEPLOYMENT_ID

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### TIME

          public static final String TIME

      See Also:
        Constant Field Values

    - #### REQUEST_DATA

          public static final String REQUEST_DATA

      See Also:
        Constant Field Values

    - #### KEY

          public static final String KEY

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequestInfo_

          public RequestInfo_()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.